@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';
@import './material.scss';
@import 'variables';

* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  font-family: 'Roboto', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;

  small {
    font-weight: 400;
  }

  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

h1 {
  font-size: 50px;
  margin-bottom: 30px;
}

h2 {
  font-size: 36px;
  font-weight: 500;
  margin-bottom: 24px;
}

h3 {
  font-size: 30px;
  font-weight: 400;
  margin-bottom: 22px;
}

h4,
.size-h4 {
  font-size: 24px;
  font-weight: 500;
  margin-bottom: 16px;
}

h5,
.size-h5 {
  font-size: 18px;
  font-weight: 400;
  margin-bottom: 16px;
}

h6,
.size-h6 {
  font-size: 16px;
  font-weight: 400;
  margin-bottom: 14px;
}

ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

ul.‘default’ {
  list-style: initial;
  padding: 0 20px;
}

a {
  font-size: 14px;
  text-decoration: none;
  cursor: pointer;
  color: #0091ff;
}

p {
  font-size: 14px;
  padding-bottom: 12px;
}

span {
  font-size: 14px;
}

label {
  display: block;
  font-size: 14px;
  padding-bottom: 12px;
}

.font-16 {
  font-size: 16px;
}


/* COMMON LAYOUT */

.app-content {
  width: 100%;
  height: 100%;
  padding: 15px;
  position: relative;
  transition: width ease-out .4s;
}

.main-content {
  .project-participant-list {
    transition: all ease .3s;
  }

  &.navbar {
    .project-participant-list {
      max-width: calc(100vw - 100px);
    }

    &.navbar-submenu {
      .project-participant-list {
        max-width: calc(100vw - 400px);
      }
    }
  }
}

.app-with-right-panel-content {
  display: flex;
  height: 100%;
  width: 100%;
  min-width: 670px;

  .app-content {
    display: block;
    overflow: auto;
    flex: 1;
    padding: 0;
  }

  .app-right-panel-container {
    transition: width ease-out .4s, min-width ease-out .4s;
    overflow: auto;
    background: transparent;
    width: 0;
    min-width: 0;

    .right-panel-content {
      display: flex;
      height: 100%;
      justify-content: flex-end;

      .main-content {
        width: 100%;
        transition: width ease-out .4s;
        height: 100%;
        overflow: auto;
        background: $_NEUTRAL_5;
        border-left: 0px solid transparent;
        transition: border-color ease-out .4s, border-radius ease-out .2s;
      }

      .expandable-sub-content {
        width: 0;
        transition: width ease-out .4s;
        height: 100%;
        overflow: auto;
        background: $_NEUTRAL_5;
        border-top-left-radius: 20px;
        border-bottom-left-radius: 20px;

        .expandable-content-header {
          background: $_NEUTRAL_0;
          padding: 20px;
          border-top-left-radius: 20px;
          display: flex;
          justify-content: space-between;
          align-items: center;
          box-shadow: 0px 3px 10px -5px rgba(0, 0, 0, 0.15);

          .header-title {
            margin-bottom: 0;
          }
        }

        .expandable-content-body {
          padding: 15px;
          border-bottom-left-radius: 20px;
        }

        * {
          transition: opacity ease-out .3s .3s;
          opacity: 0;
        }

        button,
        a {
          transition: all .15s ease-in-out !important;
        }

        .vertical-padding-animation {
          transition: padding-top ease .2s, padding-bottom ease .2s !important;
        }

        .left-actions-wrapper {
          opacity: 0;
        }
      }
    }

    * {
      transition: opacity ease-out .3s .3s;
      opacity: 0;
    }

    button {
      transition: all .15s ease-in-out !important;
    }
  }

  &.open-right-panel {
    min-width: 0px;

    .app-right-panel-container {
      height: 100%;
      width: auto;
      background: $_NEUTRAL_5;
      box-shadow: 0 0 0 1px rgba(63, 63, 68, .03), -1px 0px 7px 1px rgba(63, 63, 68, .18);
      z-index: 130;

      * {
        opacity: 1;
      }

      .clickable {
        transition: opacity .15s ease-out;

        &:hover {
          opacity: 0.6;
        }
      }

      .modal .modal-overlay {
        opacity: .6;
      }

      .mat-checkbox-ripple {
        opacity: 0;
      }

      .mat-checkbox-mixedmark {
        opacity: 0;
      }
    }

    .left-actions-wrapper,
    .app-right-panel-container {
      width: 1400px;

      @media screen and (max-width: 1920px) {
        width: 1200px;
      }

      @media screen and (max-width: 1700px) {
        width: 1000px;
      }

      @media screen and (max-width: 1500px) {
        width: 900px;
      }

      @media screen and (max-width: 1366px) {
        width: 800px;
      }

      @media screen and (max-width: 1280px) {
        width: 700px;

        .right-panel-content .main-content {
          .competencies-fit-section {
            align-self: flex-end;
          }
        }
      }

      @media screen and (max-width: 1024px) {
        width: 600px;
      }
    }
  }

  &.expanded-right-panel {
    .app-content {
      width: 0px;
      padding: 0px;
      overflow: hidden;
    }

    .app-right-panel-container {
      width: 100%;

      .right-panel-content {
        .expandable-sub-content {
          flex: 1;
          border-right: none;

          * {
            opacity: 1;
          }
        }
      }
    }
  }
}

.participant-detail-content {

  app-project-participant-detail-report,
  app-project-participant-detail-stage {
    width: 100%;
  }
}


/* GENERIC LAYOUTS */

.full-window-container {
  width: 100vw;
  height: 100vh;
}


/* COLORS CLASSES */

.bg-neutral-0 {
  background: $_NEUTRAL_0;
}

.bg-neutral-5 {
  background: $_NEUTRAL_5;
}

.bg-neutral-10 {
  background: $_NEUTRAL_10;
}

.bg-neutral-15 {
  background: $_NEUTRAL_15;
}

.bg-neutral-20 {
  background: $_NEUTRAL_20;
}

.bg-neutral-25 {
  background: $_NEUTRAL_25;
}

.bg-neutral-30 {
  background: $_NEUTRAL_30;
}

.bg-neutral-35 {
  background: $_NEUTRAL_35;
}

.bg-neutral-40 {
  background: $_NEUTRAL_40;
}

.bg-neutral-45 {
  background: $_NEUTRAL_45;
}

.bg-medium-blue {
  background: $_MEDIUM_BLUE;
}

.bg-dark-blue {
  background: $_DARK_BLUE;
}

.bg-light-green {
  background: $_LIGHT_GREEN;
}

.bg-medium-green {
  background: $_MEDIUM_GREEN;
}

.bg-dark-green {
  background: $_DARK_GREEN;
}

.bg-light-red {
  background: $_LIGHT_RED;
}

.bg-medium-red {
  background: $_MEDIUM_RED;
}

.bg-medium-yellow {
  background: $_MEDIUM_YELLOW;
}


/* HELPER CLASSES */

.unclickable {
  pointer-events: none;
}

.clickable {
  cursor: pointer;
  transition: opacity .15s ease-out;
  outline: none;

  &:hover {
    opacity: 0.6;
  }
}

.uppercase {
  text-transform: uppercase;
}

.pre-wrap {
  white-space: pre-wrap;
}


/* BOXES */

.round-border-box {
  border: 3px solid $_NEUTRAL_40;
  background: $_NEUTRAL_0;
  border-radius: 20px;
  padding: 15px;

  &.border-slim {
    border-width: 2px;
  }
}

.modal .modal-container.gradient,
.gradient {
  padding: 10px;
  border-radius: 18px;
  background: $_GREEN_BLUE_GRADIENT;
  background-size: 400% 400%;
  -webkit-animation: Gradient 4s ease infinite;
  -moz-animation: Gradient 4s ease infinite;
  animation: Gradient 4s ease infinite;

  &.round {
    border-radius: 50%;
  }

  &.light {
    padding: 2px;
  }
}

@-webkit-keyframes Gradient {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

@-moz-keyframes Gradient {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

@keyframes Gradient {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}


/* LIST */

.selectable-list {
  li {
    display: flex;
    align-items: center;
    font-size: 14px;
    margin-bottom: 10px;
    cursor: pointer;
    transition: color ease .15s;
    color: $_NEUTRAL_35;

    s &:last-child {
      margin-bottom: 0;
    }

    &:hover {
      color: $_NEUTRAL_15;
    }

    .check {
      width: 20px;
      height: 20px;
      min-width: 20px;
      background: $_NEUTRAL_0;
      border-radius: 50%;
      border: 2px solid $_NEUTRAL_40;
      display: flex;
      justify-content: center;
      align-items: center;
      margin-right: 10px;

      i {
        font-size: 10px;
        font-size: 14px;
        font-weight: 600;
        display: none;
      }

      &.checked {
        background: $_NEUTRAL_25;

        i {
          display: block;
        }
      }
    }
  }
}


/* TEXT TOGGLE */

.text-toggle {
  display: flex;

  .toggle-option {
    border: 1px solid $_NEUTRAL_40;
    white-space: nowrap;
    padding: 10px 20px;
    font-size: 12px;
    cursor: pointer;
    transition: background ease .15s;

    &:first-child {
      border-top-left-radius: 20px;
      border-bottom-left-radius: 20px;
      border-right: none;
    }

    &:last-child {
      border-top-right-radius: 20px;
      border-bottom-right-radius: 20px;
    }

    &:hover {
      background: $_NEUTRAL_15;
    }

    &.active {
      background: $_NEUTRAL_15;
      font-weight: 500;
      pointer-events: none;
    }
  }
}


/* MODALS */

.cdk-global-overlay-wrapper {
  left: 70px !important;
  width: calc(100vw - 70px) !important;
}

.modal {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 70px;
  width: calc(100vw - 70px);
  height: 100%;
  z-index: 130;
  transition: all ease .3s;

  &.full-window-modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 200;
    width: 100%;

    .modal-overlay {
      width: 100vw;
      height: 100vh;
    }
  }

  &.modal-mini {
    .modal-container {
      width: 400px;
    }
  }

  &.modal-medium {
    .modal-container {
      max-width: 800px;
    }
  }

  .modal-overlay {
    width: 100%;
    height: 100%;
    background: $_NEUTRAL_20;
    opacity: .6;
    transition: all ease .3s;
  }

  .modal-container {
    background: $_NEUTRAL_0;
    min-width: 300px;
    min-height: 200px;
    position: absolute;
    border-radius: 20px;
    max-height: calc(100vh - 30px);
    max-width: calc(100% - 30px);
    overflow: auto;

    &.gradient {
      border: none;
    }

    .modal-header {
      padding: 20px;
      display: flex;

      .modal-title {
        margin-bottom: 0;
        font-weight: 500;
      }

      .close-modal {
        color: $_NEUTRAL_20;
        position: absolute;
        right: 20px;
        top: 20px;
        cursor: pointer;

        i {
          font-size: 20px;
          font-weight: 600;
        }
      }

      &.selection-table {
        align-items: center;
        justify-content: space-between;

        .elements-count {
          font-size: 12px;
          color: $_NEUTRAL_5;
          margin-right: 30px;
          margin-left: 10px;
          white-space: nowrap;
        }
      }
    }

    .modal-body {
      padding: 20px;

      &.modal-pre-line {
        white-space: pre-line;
      }

      &.modal-small {
        max-width: 500px;
      }

      p {
        font-size: 16px;

        &.error-msg {
          font-size: 14px;
        }
      }
    }

    .modal-footer {
      padding: 20px;
      display: flex;
      justify-content: flex-end;
      align-items: center;

      button {
        margin-left: 10px;
      }
    }

    .gradient-modal-content {
      background: $_NEUTRAL_0;
      width: 100%;
      height: 100%;
      border-radius: 10px;
    }
  }

  &.dark-modal {
    .modal-container {
      background: $_NEUTRAL_35;
      border: 3px solid $_NEUTRAL_40;

      .modal-header {
        background: $_NEUTRAL_40;
      }

      .modal-header-subcontent {
        background: $_NEUTRAL_30;
      }

      .modal-title {
        color: $_NEUTRAL_5;
      }

      .modal-body {
        padding: 0;
      }

      .modal-footer {
        background: $_NEUTRAL_40;
      }

      .btn-icon-circle.modal-search {
        border-color: $_NEUTRAL_40;
      }

      .btn-naked {
        color: $_NEUTRAL_0;
      }
    }
  }
}

app-people-control {
  .modal {
    z-index: 160;
  }
}

.navbar-submenu {

  .modal,
  .criteria-condition-selector .modal-overlay {
    left: 370px !important;
    width: calc(100vw - 370px) !important;
  }
}

.cdk-overlay-pane.email-preview {
  background: $_NEUTRAL_40;
}


/* MODAL OVERLAY */

.overlay {
  width: 100vw;
  height: 100vh;
  background: $_NEUTRAL_20;
  opacity: .6;
  position: fixed;
  right: 0;
  bottom: 0;
  z-index: 20;
  transition: all ease .3s;

  &.full-window-overlay {
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 120;
  }
}

.navbar {
  .overlay {
    width: calc(100vw - 70px);

    &.full-window-overlay {
      width: 100vw;
    }
  }

  &.navbar-submenu {
    .overlay {
      width: calc(100vw - 370px);

      &.full-window-overlay {
        width: 100vw;
      }
    }
  }
}

.cdk-overlay-container .cdk-overlay-backdrop.cdk-overlay-backdrop-showing {
  background: transparent;
}


/* MESSAGE BLOCKS */

@mixin message-block {
  width: 100%;
  padding: 10px;
  border: 2px solid;
  font-size: 14px;
  border-radius: 8px;
  display: flex;
  align-items: center;
  line-height: 18px;

  i {
    margin-right: 10px;
  }
}

.warning-block {
  @include message-block();
  background: $_LIGHT_RED;
  color: $_MEDIUM_RED;
  border-color: $_MEDIUM_RED;

  i {
    color: $_MEDIUM_RED;
  }
}

.error-block {
  @include message-block();
  background: $_LIGHT_RED;
  border-color: $_LIGHT_RED;
  color: $_NEUTRAL_40;

  i {
    color: $_NEUTRAL_40;
  }
}

.pill {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background-color: $_NEUTRAL_35;
  color: $_NEUTRAL_0;
  border-radius: 20px;
  padding: 3px 7px 3px 15px;
  margin-bottom: 10px;
  min-height: 30px;

  .material-icons-outlined {
    font-size: 15px;
    line-height: 12px;
    width: 100%;
    margin-top: 20px;
  }
}

.error-msg {
  color: $_MEDIUM_RED;
  font-size: 14px;
  margin-top: 10px;
}

.yellow-msg {
  color: $_MEDIUM_YELLOW;
  font-size: 14px;
  margin-top: 10px;
}


/* REFERENCE PROFILE LEGEND */

.reference-demo {
  padding: 5px 10px;
  background: $_LIGHT_GREEN;
  border: 1px solid $_DARK_GREEN;
  border-radius: 20px;
  font-size: 12px;
  font-weight: 500;
  color: $_NEUTRAL_25;
  display: inline-block;
}


/* RADIO COMPONENT */

.competencies-radio-plot {
  svg {
    overflow: visible;
  }
}


/* SPINNER */

.panorama-spinner {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  background: rgba(43, 47, 61, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 60;

  .fa-spinner {
    font-size: 40px;
  }
}


/* ANIMATIONS */

.vertical-padding-animation {
  transition: padding-top ease .2s, padding-bottom ease .2s !important;
  height: auto;

  &.collapsed {
    overflow: hidden;
    height: 0px;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
  }
}

.shadow-animation {
  box-shadow: $_SHADOW_BTN;
  transition: box-shadow ease .2s;

  &:hover {
    box-shadow: 0 7px 16px 0 rgba(0, 0, 0, 0.14);
  }
}


/* OVERRIDE MATERIAL TOOLTIP STYLES */

.mat-tooltip {
  font-size: 12px !important;
  border-radius: 5px !important;
  font-style: italic;
  font-weight: 600;
  background-color: $_NEUTRAL_40 !important;
  white-space: pre-line;

  &.orange {
    background-color: $_MEDIUM_RED !important;
  }
}

.formula-profile-warning-tooltip {
  margin-bottom: 20px !important;
}

.magnitude-validation-warning-tooltip,
.tool-validation-warning-tooltip {
  white-space: pre-line;
}

.project-languages-warning-tooltip {
  max-width: 450px !important;
}


/* ADD PEOPLE OPTIONS MATERIAL MENU */

.add-people-options-menu.mat-menu-panel {
  text-align: center;
  border-width: 3px;
  padding: 15px;
  max-width: 150px;
  margin-top: 10px;

  .menu-title {
    font-weight: 500;
    margin-bottom: 20px;
  }

  .mat-menu-item {
    height: auto;
    margin-bottom: 20px;
    background: transparent !important;

    .mat-menu-ripple {
      display: none !important;
    }

    i {
      margin: 0 !important;
    }

    &:last-child {
      margin-bottom: 5px;
    }
  }
}

.table-actions-menu.mat-menu-panel {
  text-align: center;
  border-width: 3px;
  min-height: 0px;

  .menu-title {
    font-weight: 500;
    margin-bottom: 20px;
  }

  .mat-menu-item {
    height: auto;
    margin-bottom: 20px;
    background: transparent !important;

    .mat-menu-ripple {
      display: none !important;
    }

    i {
      margin: 0 !important;
    }

    &:last-child {
      margin-bottom: 5px;
    }
  }
}

.is-deactivated {
  color: $_NEUTRAL_25;
}


/* STAUTS ICONS */

.configured-icon {
  display: block;
  height: 20px;
  min-width: 30px;
  padding: 0px 5px;
  border-radius: 20px;
  font-size: 16px;
  line-height: 20px;
  font-weight: 500;
  border: 2px solid $_DARK_GREEN;
  background: $_MEDIUM_GREEN;
  color: $_NEUTRAL_40;
  text-align: center;

  i {
    font-size: 16px;
    font-weight: 600;
  }
}

.not-configured-icon {
  display: block;
  height: 20px;
  min-width: 30px;
  padding: 2px 5px;
  border-radius: 20px;
  font-size: 16px;
  line-height: 18px;
  font-weight: 500;
  background: $_MEDIUM_RED;
  color: $_NEUTRAL_0;
  text-align: center;

  i {
    font-size: 16px;
  }
}

.edit-interview-dialog-backdrop-background {
  background-color: rgba(63, 63, 79, 0.3) !important;
}

.doc-render-content {
  width: 100%;

  @media screen and (max-width: 950px) {
    padding-right: 0px;
    width: 100%;
  }

  &.hidden {
    display: none;
  }

  object {
    width: calc(100vw - 175px);
    height: calc(100vh - 120px);

    @media screen and (max-width: 950px) {
      width: 100%;
      padding-right: 0px;
      padding-bottom: 0px;
    }
  }
}

// Time picker
.ngx-timepicker {
  border-bottom: none !important;
}


/* VIDYO */

.videochat {
  .vidyo-rendering-container .media-grid .video-display-name-wrapper .video-display-name {
    width: auto;
    padding: 16px;
    font-size: 20px;
    color: $_NEUTRAL_0;
    background-color: rgba(50, 53, 61, 0.5);
    opacity: 1;
  }
}

.interview-window {
  .videochat {
    .vidyo-rendering-container .media-grid .video-display-name-wrapper .video-display-name {
      height: 60px;
      max-width: 135px;
      max-height: 60px;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }
}

.is-mobile {
  .videochat {
    .video-chat-controls {
      bottom: 50px;
    }

    .video-display-name {
      font-size: 16px;
    }

    .local-track {
      .video-display-name {
        display: none;
      }
    }
  }
}


/* BROWSER PERMISSIONS WARNINGS */

app-browser-permissions-messages .info-messages-container .message-content .message-text p>i {
  font-size: 16px;
}


/* EMBEDED CONTENT */

.app-container {
  .embeded-side-content {
    .iframe-container {
      iframe {
        width: 100%;
        height: 100%;
        border: none;
      }
    }
  }

  &.display-embeded-side-content {
    .embeded-side-content {
      .iframe-container {
        iframe {
          opacity: 1;
        }
      }
    }
  }
}


/* CREATE ACCOUNT MODAL */

.account-modal-text {
  ul {
    list-style-type: disc;
    padding: 10px 20px;
  }
}


/* PARTNER AREA */

.user-account-footer {
  ul {
    list-style-type: none;
    padding: 15px;

    li {
      position: relative;
      padding-bottom: 10px;

      &:last-child {
        padding-bottom: 0;
      }

      &:before {
        content: "\2022";
        color: $_NEUTRAL_40;
        font-size: 24px;
        font-weight: bold;
        position: absolute;
        margin-left: -15px;
        top: -6px;
      }
    }
  }
}


/* PROJECTS LIST */

.project-container {

  .project-list-header .project-title,
  .status,
  .project-candidates span,
  .project-dates span {
    font-weight: 500;
  }
}

.main-navbar-content .menu-option {
  font-weight: 600;
}


/* VIDEOCALL MEETING ROOM */

.meeting-room-container.is-mobile {
  app-video-chat {
    .videochat {
      .actions-wrapper {
        max-height: calc(100vh - 62px)
      }
    }
  }

  app-chat-window {
    .box-wrapper {
      border-radius: 0;
    }
  }

  app-videochat-window {
    .vidyo-rendering-container .media-grid .video-display-name-wrapper .video-display-name {
      padding: 10px 16px;
      font-size: 16px !important;
    }

    .labelContainer {
      font-size: 16px !important;

      .guest {
        padding: 10px 16px;
      }
    }

    .video-chat-box {
      border-radius: 0;
    }
  }

  app-footer-issue {
    footer {
      padding: 12px;

      p {
        padding-bottom: 6px;

        &:last-child {
          padding-bottom: 0;
        }
      }
    }
  }
}


/* REPORT EDITOR */

app-project-report-editor {
  input-multilanguage {
    textarea {
      min-height: 200px !important;
    }
  }
}


/* AUTOSAVE */

.autosave-status {
  color: $_NEUTRAL_20;
  font-size: 12px;

  &.error {
    color: $_MEDIUM_RED;
    font-weight: 500;
  }
}

.small-grey-dropdown {
  span {
    font-size: 12px;
    font-weight: 400;
  }

  i {
    font-size: 16px;
    margin-left: 5px;
  }
}

/* BREADCRUMBS */

.breadcrumbs-container {
  display: flex;

  .breadcrumb-element {
    display: flex;
    align-items: center;
    white-space: nowrap;
    font-size: 10px;
    color: $_NEUTRAL_20;
    padding-right: 15px;
    position: relative;
    cursor: pointer;
    transition: color ease-out .15s;

    &:hover {
      color: $_DARK_BLUE;
      text-decoration: underline;
    }

    &:after {
      content: "\f054";
      font-family: 'Font Awesome 5 Free';
      position: absolute;
      top: 2px;
      right: 5px;
      color: $_NEUTRAL_20;
      font-weight: 900;
      font-size: 8px;
    }

    &:last-child {
      cursor: default;
      pointer-events: none;

      &:after {
        display: none;
      }
    }
  }
}


/* MARKET MODAL */

.market-modal {

  .modal-container {
    min-width: 900px;
    min-height: calc(100vh - 28px);
    display: flex;
    flex-direction: column;
    overflow: hidden;

    .modal-header {
      border-bottom: 2px solid $_NEUTRAL_30;

      .modal-title {
        font-size: 21px;
      }
    }

    .modal-body {
      display: flex;
      flex-direction: row;
      flex: 1;

      .market-types-container {
        color: $_NEUTRAL_0;
        max-width: 250px;
        background: $_NEUTRAL_40;
        display: flex;
        flex-direction: column;
        flex: 1;
        max-height: calc(100vh - 100px);
        padding-top: 10px;

        .market-type {
          display: flex;
          flex-direction: column;
          margin-bottom: 15px;

          label {
            padding: 0;
            font-size: 14px;
            padding: 5px 10px;

            &.selected {
              background-color: $_NEUTRAL_30;
            }
          }

          .menu-item {
            display: flex;
            justify-content: space-between;
            align-items: center;
            flex: 1;
            color: $_MEDIUM_GREEN;
            margin-bottom: 5px;

            label {
              font-size: 14px;
              font-weight: 400;
              text-transform: uppercase;
            }

            .material-icons-round {
              color: $_MEDIUM_GREEN;
            }
          }

          .submenu-items {
            label {
              margin-bottom: 5px;
            }
          }
        }
      }

      .markets-container {
        color: $_NEUTRAL_40;
        background: $_NEUTRAL_40;
        flex: 1;
        max-width: 645px;
        flex-direction: column;
        display: flex;
        max-height: calc(100vh - 100px);
        width: 100%;
        overflow-x: hidden;
        overflow-y: auto;

        .active-market-type-title {
          color: $_NEUTRAL_0;
          background: $_NEUTRAL_40;
          padding: 10px 15px;

          p {
            padding: 0;
            font-size: 16px;
          }

          span {
            font-size: 16px;
          }
        }

        .active-market-type-container {
          padding: 15px;

          .market-item-box {
            display: flex;
            background-color: $_NEUTRAL_30;
            color: $_NEUTRAL_0;
            width: 100%;
            border-radius: 14px;
            flex-direction: column;
            margin-bottom: 8px;

            &:last-child {
              margin-bottom: 0;
            }

            &.disabled {
              background-color: rgba(84, 82, 102, 0.4);

              .market-item-icon,
              .market-item-info,
              .details-button,
              .add-tool-btn-box {
                opacity: .4;
              }

              .select-tool,
              .add-tool-btn-box {
                pointer-events: none;
              }
            }

            .market-item-preview {
              display: flex;
              align-items: center;
              min-height: 88px;

              .market-item-icon {
                width: 117px;
                height: 88px;
                display: flex;
                padding: 10px;
                margin-right: 10px;

                img {
                  max-height: 68px;
                  max-width: 97px;
                  margin: auto;
                }
              }

              .market-item-info {
                display: flex;
                flex-direction: column;
                flex: 1;

                .market-item-name {
                  font-size: 16px;
                  margin-bottom: 5px;
                }

                .market-item-duration {
                  display: flex;
                  align-items: center;

                  i {
                    font-size: 16px;
                    margin-right: 3px;
                  }
                }
              }

              .market-item-details-buttons-box {
                margin-left: auto;
                display: inline-flex;
                align-items: center;

                .material-icons-round {
                  color: $_NEUTRAL_0;
                  font-size: 20px;
                  cursor: pointer;
                }

                .details-button {
                  color: $_NEUTRAL_0;
                  padding: 10px;
                  min-width: auto;

                  &:hover {
                    background-color: transparent;
                    color: $_MEDIUM_GREEN;
                  }
                }
              }

              .add-market-item-btn-box {
                display: flex;
                margin-right: 45px;
                margin-left: 15px;
                flex-direction: column;
                align-items: center;

                .add-market-item-btn {
                  padding: 0;
                  line-height: initial;
                  background-color: transparent;
                  border-color: $_NEUTRAL_0;
                  color: $_NEUTRAL_0;

                  &:hover {
                    background-color: $_MEDIUM_GREEN;
                    border-color: $_MEDIUM_GREEN;
                    color: $_NEUTRAL_30;
                  }

                  span {
                    font-size: 14px;
                    font-weight: 500;
                  }

                  i.fa-spinner {
                    display: none;
                    color: $_NEUTRAL_10;
                    font-size: 16px;
                    margin: 0;
                  }

                  &.loading {
                    background: transparent;
                    pointer-events: none;

                    &:hover,
                    &:focus {
                      background: transparent;
                    }

                    span {
                      display: none;
                    }

                    i.fa-spinner {
                      display: block;
                    }

                    &:disabled {
                      i.fa-spinner {
                        display: none;
                      }

                      span {
                        display: block;
                      }
                    }
                  }
                }

                .market-item-count {
                  font-size: 12px;
                  margin-top: 6px;
                }
              }
            }

            .market-item-details {
              padding: 20px;
              display: flex;
              flex-direction: column;
              flex: 1;

              .market-item-description-box,
              .market-item-magnitudes-box {
                margin-bottom: 15px;

                &:last-child {
                  margin-bottom: 0;
                }
              }

              .description-label,
              .magnitudes-label {
                font-weight: 500;
                margin-bottom: 5px;
                color: $_MEDIUM_GREEN;
              }

              .market-item-description,
              .market-item-evaluable-magnitude span {
                font-size: 16px;
              }
            }
          }
        }
      }
    }

    .modal-header-subcontent {
      display: flex;
      justify-content: flex-end;
      align-items: center;
      padding: 8px 20px;

      .input-filter-container {
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color: $_NEUTRAL_40;
        border-radius: 40px;
        padding-right: 5px;
        min-width: 150px;

        @media screen and (max-width: 1200px) {
          min-width: 90px;
        }
      }

      .input-filter {
        border-radius: 40px 0 0 40px;
        background-color: $_NEUTRAL_40;
        color: $_NEUTRAL_5;
        width: 100%;
      }

      .material-icons {
        color: $_NEUTRAL_0;
      }
    }
  }

  .market-item-tooltip-wrapper {
    position: fixed;
    display: flex;
    margin-left: -26px;
    flex-direction: column;
    width: auto;
    background-color: $_NEUTRAL_40;
    z-index: 30;
    border-radius: 18px;
    color: $_NEUTRAL_0;
    box-sizing: border-box;
    padding: 15px;

    p:last-child {
      padding-bottom: 0;
    }
  }
}

.add-market-button {
  border-radius: 10px;
  width: 100%;
  height: 100%;
  align-content: center;
  justify-content: flex-start;
  padding: 10px 15px;
  white-space: nowrap;
  border-radius: 50px;

  i {
    margin-right: 8px;
  }
}

.mat-drawer-content {
  position: relative;
  z-index: 1;
  display: block;
  height: 100%;
  overflow: hidden;
}